<?xml version="1.0" encoding="UTF-8"?>
<persistence version="2.1" xmlns="http://xmlns.jcp.org/xml/ns/persistence" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/persistence http://xmlns.jcp.org/xml/ns/persistence/persistence_2_1.xsd">

	<persistence-unit name="stub-war.war" transaction-type="JTA">
		<provider>org.hibernate.jpa.HibernatePersistenceProvider</provider>
		<jta-data-source>java:jboss/datasources/stub-war</jta-data-source>
		
		<jar-file>../../lib/arm-core-users-JAR.jar</jar-file>
		<class>com.armundia.arm_am.entity.ApDom</class>
		<class>com.armundia.arm_am.entity.ApDomId</class>
		<class>com.armundia.arm_am.entity.ApLang</class>
		<class>com.armundia.arm_am.entity.ApLangId</class>
		<class>com.armundia.arm_am.entity.ApOpzioni</class>
		<class>com.armundia.arm_am.entity.ApOpzioniId</class>
		
		<jar-file>../../lib/arm-core-utility-model.jar</jar-file>
		<class>com.armundia.core.users.admin.entity.SeRoles</class>
		<class>com.armundia.core.users.admin.entity.SeAuthorization</class>
		<class>com.armundia.core.users.admin.entity.SeUsersAccess</class>
		<class>com.armundia.core.users.entity.Authorization</class>
		<class>com.armundia.core.users.entity.Roles</class>
		<class>com.armundia.core.users.entity.RolesAuth</class>
		<class>com.armundia.core.users.entity.RolesAuthId</class>
		<class>com.armundia.core.users.entity.SeHistoryUsersUo</class>
		<class>com.armundia.core.users.entity.SeHistoryUsersUoId</class>
		<class>com.armundia.core.users.entity.SeUo</class>
		<class>com.armundia.core.users.entity.SeUsers</class>
		<class>com.armundia.core.users.entity.SeUsersUo</class>
		<class>com.armundia.core.users.entity.SeUsersUoId</class>
		<class>com.armundia.core.users.entity.UsersRoles</class>
		<class>com.armundia.core.users.entity.UsersRolesId</class>
		<properties>
	        <!-- configurazioni per SQLServer -->
			<property name="hibernate.dialect" value="org.hibernate.dialect.SQLServer2012Dialect" />
			<property name="hibernate.id.new_generator_mappings" value="false" />
			<property name="hibernate.show_sql" value="false" />
		</properties>

	</persistence-unit>
</persistence>